<!DOCTYPE html>

{% load static %}

<html lang="en">
<head>

  <meta charset="UTF-8" />
  <title>Notes List</title>

  <link rel="stylesheet" href="{% static 'css/table.css' %}" />
  <link rel="stylesheet" href="{% static 'css/button.css' %}" />
  <link rel="stylesheet" href="{% static 'css/navbar.css' %}" />

  <script src="https://code.jquery.com/jquery-1.10.2.js"></script>
  <script>
    $(function(){
      $("#nav-placeholder").load("navbar.html");
    });
  </script>

</head>
<body>

  <div id="nav-placeholder"></div>


  <div class="btn-container">
    <a href="/lab-4/add-note" class="button">Add New Note</a>
  </div>

  <div class = "notes-container">
    <table id="notes">
      <tr>
        <th>Receiver</th>
        <th>Sender</th>
        <th>Title</th>
        <th>Message</th>
      </tr>
      {% if notes %}
            {% for note in notes %}
            <tr>
                <td>{{ note.To }}</td>
                <td>{{ note.From }}</td>
                <td>{{ note.Title }}</td>
                <td>{{ note.Message }}</td>
            </tr>
            {% endfor %}
          {% endif %}
    </table>
  </div>

</body>
</html>
